libgdamm Reference Documentation

Main Page Namespaces Book

# client.h File Reference

## Namespaces

namespace | Glib
namespace | Gnome
namespace | Gnome::Gda

## Classes

class | Gnome::Gda::Client
| Database client access. More...
class | Gnome::Gda::ClientError
| Exception class for Gda client errors. More...

## Enumerations

enum | Gnome::Gda::ClientEvent { Gnome::Gda::CLIENT_EVENT_INVALID, Gnome::Gda::CLIENT_EVENT_ERROR, Gnome::Gda::CLIENT_EVENT_CONNECTION_OPENED, Gnome::Gda::CLIENT_EVENT_CONNECTION_CLOSED, Gnome::Gda::CLIENT_EVENT_TRANSACTION_STARTED, Gnome::Gda::CLIENT_EVENT_TRANSACTION_COMMITTED, Gnome::Gda::CLIENT_EVENT_TRANSACTION_CANCELLED }